Plesk\backup\Agent\Schema\Backup\Events\EventsAType\RotationAType:
    properties:
        disabled:
            expose: true
            access_type: public_method
            serialized_name: disabled
            xml_element:
                cdata: false
            accessor:
                getter: getDisabled
                setter: setDisabled
            type: string
        byTime:
            expose: true
            access_type: public_method
            serialized_name: by-time
            xml_element:
                cdata: false
            accessor:
                getter: getByTime
                setter: setByTime
            type: Plesk\backup\Agent\Schema\Backup\Events\EventsAType\RotationAType\ByTimeAType
        byEntires:
            expose: true
            access_type: public_method
            serialized_name: by-entires
            xml_element:
                cdata: false
            accessor:
                getter: getByEntires
                setter: setByEntires
            type: Plesk\backup\Agent\Schema\Backup\Events\EventsAType\RotationAType\ByEntiresAType
